import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

class CategoryScreen2 extends StatefulWidget {
  const CategoryScreen2({Key? key}) : super(key: key);

  @override
  State<CategoryScreen2> createState() => _CategoryScreen2State();
}

class _CategoryScreen2State extends State<CategoryScreen2> {
  int _selectedIndex=0;
  String _appBarTitle='Choose Category';
  List<String> text=[
    "Men's & Boy's Fashion","Women's & Girl's Fashion","Watches, Bags, Jewellery",
    "Health & Beauty",'Mother & Baby Care','Electronics & Devices',
    'Home Appliances','Groceries','Home & Lifestyle','Sports & Outdoor',
    'Automotive & Motorbike',
  ];
  List icon=[
    FontAwesomeIcons.shirt,FontAwesomeIcons.personDress,
    FontAwesomeIcons.gem, FontAwesomeIcons.paintbrush,
    FontAwesomeIcons.baby,FontAwesomeIcons.mobile,
    FontAwesomeIcons.box,FontAwesomeIcons.carrot, FontAwesomeIcons.couch,
    FontAwesomeIcons.basketball,FontAwesomeIcons.car,
  ];


  @override
  Widget build(BuildContext context) {
    Size screenSize =MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return Scaffold(
      appBar: AppBar(
        leading: Icon(Icons.arrow_back),
        systemOverlayStyle: SystemUiOverlayStyle(statusBarColor:myColor ),
        title: Text(_appBarTitle,style: TextStyle(fontWeight: FontWeight.bold),),
        backgroundColor: myColor,
        shadowColor: Colors.transparent,
        titleTextStyle: TextStyle(color: Colors.white,fontSize: 18),
        actions: [
          IconButton(onPressed: (){}, icon: Icon(Icons.search,color: Colors.white,)),
          IconButton(onPressed: (){}, icon: Icon(Icons.shopping_cart,color: Colors.white,)),
        ],
      ),
      body: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          Container(
            //color: Colors.amber,
            // padding: EdgeInsets.only(left: screenSize.width*.02,right: screenSize.width*.02),
            width: screenSize.width*.28,
            child: ListView.builder(
                itemCount: text.length,
                itemBuilder: (context,index){
                  return GestureDetector(
                    onTap: (){
                      setState(() {
                        _selectedIndex=index;
                        _appBarTitle=text[index];
                      });
                    },
                    child: AnimatedContainer(
                      padding: EdgeInsets.all(4),
                      color: _selectedIndex==index?Colors.white:Colors.grey.shade300 ,
                      // margin: const EdgeInsets.only(left: 5,),
                      duration: const Duration(milliseconds: 200),
                      child: Column(
                        children: [
                          Container(
                            margin: const EdgeInsets.only(top: 5),
                            child: FaIcon(icon[index],size: 40,color: _selectedIndex==index?myColor:Colors.grey,),
                          ),
                          Container(
                            padding: const EdgeInsets.only(top: 5),
                            margin: const EdgeInsets.only(top: 2,bottom: 5),
                            child: Text(text[index],style: TextStyle(
                                color: _selectedIndex==index?myColor:Colors.grey
                            ),textAlign: TextAlign.center,),
                          ),
                        ],
                      ),
                    ),
                  );

                }),
          ),
          Visibility(
            visible: _selectedIndex==0,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Shirts & T-Shirts'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Jeans & Trousers'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Comfort & Innerwear'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Ethnic Wear'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Others'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){ }
                  ),
                  const Divider(thickness: 2,),

                ],
              ),
            ),
          ),
          Visibility(
            visible: _selectedIndex==1,
            child: Container(

              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Dresses, Tops & T-Shirts'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){}
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Jeans & Bottomwear'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Comfort & Innerwear'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Others'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),

                ],
              ),
            ),
          ),

          SingleChildScrollView(
            child: Visibility(
              visible: _selectedIndex==2,
              child: Container(
                width: screenSize.width*.69,
                margin: EdgeInsets.only(left: 10),
                child:  Column(
                  children: [
                    ListTile(
                        title:const Text('Laptop Bag'),
                        trailing: const Icon(Icons.arrow_forward_ios),
                        onTap: () {}),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Luggage'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Travel Bag'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Men's Bag"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Women's Bag"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Men's Watch"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Women's Watch"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Kid's Watch"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Women's Jewellery"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text("Men's Jewellery"),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Sunglasses'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),


                  ],
                ),
              ),
            ),
          ),
          //index 3
          Visibility(
            visible: _selectedIndex==3,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Skin Care'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Hair Care'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Make-Up'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Deodorant'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Bath & Body'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                ],
              ),
            ),
          ),
          //index 4
          Visibility(
            visible: _selectedIndex==4,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),

              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Diaper'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Feeding'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Baby Care'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Mother Care'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){;},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Toys'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){
                    },
                  ),
                  const Divider(thickness: 2,),
                ],
              ),
            ),
          ),
          //index 5
          Visibility(
            visible: _selectedIndex==5,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  SingleChildScrollView(
                child: Column(
                  children: [
                    ListTile(
                      title:const Text('Smartphones'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Feature Phone'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Tablets'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Cameras'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Mobile Accessories'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Projectors'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Gaming Console'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Audio'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Wearable'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Laptops'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Desktops'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),

                  ],
                ),
              ),
            ),
          ),
          //index 6
          Visibility(
            visible: _selectedIndex==6,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Television'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Cooling & Heating'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Kitchen Appliances'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Refrigerators'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Deep Freezer'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Woven'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Fans'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Small Appliances'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Water Purifiers'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),

                ],
              ),
            ),
          ),
          //index 7
          Visibility(
            visible: _selectedIndex==7,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Fruits, Meat & Frozen Food'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Breakfast'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Cooking Ingredients'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Snacks & Beverages'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Dairy & Eggs'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('herbs, Spices & Sauces'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Chocolates & Candy'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Laundry & Household'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),

                ],
              ),
            ),
          ),
          //index 8
          SingleChildScrollView(
            child: Visibility(
              visible: _selectedIndex==8,
              child: Container(
                width: screenSize.width*.69,
                margin: EdgeInsets.only(left: 10),
                child:  Column(
                  children: [
                    ListTile(
                      title:const Text('Bed Requirements'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Furniture'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Cleaning'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){;},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Laundry'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Baking'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Coffee & Tea'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Cookware'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2,),
                    ListTile(
                      title:const Text('Stationary Items'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2),
                    ListTile(
                      title:const Text('Media'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2),
                    ListTile(
                      title:const Text('Books'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2),
                    ListTile(
                      title:const Text('Tools'),
                      trailing: const Icon(Icons.arrow_forward_ios),
                      onTap: (){},
                    ),
                    const Divider(thickness: 2),

                  ],
                ),
              ),
            ),
          ),
          //index 9
          Visibility(
            visible: _selectedIndex==9,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Exercise & Fitness '),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Sports Items'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Sportswear'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Cycling'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                ],
              ),
            ),
          ),
          //index 10
          Visibility(
            visible: _selectedIndex==10,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Oil & Fluids'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Car Interior'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Car Parts'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Motorcycle Gear'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Motorcycle Parts'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Car Care'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                ],
              ),
            ),
          ),
          //index 11
          Visibility(
            visible: _selectedIndex==11,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('All Software'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Operating System'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Antivirus'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Adobe'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Office Application'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                ],
              ),
            ),
          ),
          //index 12
          Visibility(
            visible: _selectedIndex==12,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('All Accessories'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Mouse'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Keyboard'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Headphone'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Speaker'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Microphone'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Memory Card'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Pen Drive'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Web Cam'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                ],
              ),
            ),
          ),
          //index 13
          Visibility(
            visible: _selectedIndex==13,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Smart Band'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Smart Watch'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Smart Googles'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Earbuds'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Neck Band'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Drones'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('All Gadgets'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),

                ],
              ),
            ),
          ),
//index 13

//index 14
          Visibility(
            visible: _selectedIndex==14,
            child: Container(
              width: screenSize.width*.69,
              margin: EdgeInsets.only(left: 10),
              height: screenSize.height,
              child:  Column(
                children: [
                  ListTile(
                    title:const Text('Normal AC'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('Inverter AC'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),
                  ListTile(
                    title:const Text('All AC'),
                    trailing: const Icon(Icons.arrow_forward_ios),
                    onTap: (){},
                  ),
                  const Divider(thickness: 2,),

                ],
              ),
            ),
          ),


        ],
      ),
    );
  }
}
